Во всех ядрах Linux'a версии 2.6.х найдена уязвимость позволяющая локальному юзеру выполнить свой код с root-привилегиями. Проблема эта вызвана из-за возможности разыменования NULL-указателя при выполнения определенных действий с пайпами.

    В качестве метода защиты можно запретить маппинг страниц по нулевому адресу через установку в отличного от нуля значения переменной /proc/sys/vm/mmap_min_addr.

    К счастью проблема исправлена в 2.6.32-rc6, а владельцы Red Hat Enterprise могут все исправить через обновление. Остальные линуксоиды ждите апдейта, или патч для ваших ядер.

    Это несомненно характеризует Линукс как самую безопасную ось в мире. Куда там Майкрософту до них.

    Украдено отсюда.

Добавить комментарий


Защитный код
Обновить